## libusb 0.1.12

=== debian/changelog ===
libusb (2:0.1.12-35build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:08:19 +0200

libusb (2:0.1.12-35) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Dec 2023 11:46:48 +0100

libusb (2:0.1.12-34) experimental; urgency=medium

  * Stop moving library from /usr/lib to /lib as part of the usr-merge
    transition.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Dec 2023 14:02:12 +0000

libusb (2:0.1.12-33) unstable; urgency=medium

  * Drop udeb, it is not used anymore.
  * Simplify debian/rules now that a single build is needed.
  * Switch to debhelper 13, the declarative way.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Nov 2023 13:05:24 +0100

libusb (2:0.1.12-32) unstable; urgency=medium

  * Update debian/patches/12_ENAMETOOLONG.diff to handle more failures with
    GCC 8 (closes: #897799).
  * Downgrade priority to optional following the recent policy change (closes:
    #893556).
  * Bump Standards-Version to 4.1.4.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 May 2018 20:07:10 +0000

libusb (2:0.1.12-31) unstable; urgency=medium

  * Add patches/12_ENAMETOOLONG.diff to correctly handle too long filename
    failures and FTBFS with GCC 7 (closes: #853511).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Apr 2017 13:50:36 +0000

libusb (2:0.1.12-30) unstable; urgency=medium

  * Fix call to printf when creating libusb.so (closes: #823525).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 05 May 2016 19:32:19 +0000

libusb (2:0.1.12-29) unstable; urgency=medium

  * Drop packages providing the C++ library. It is unused in the archive
    and new developments should use libusb 1.0 instead (closes: #820510).
  * Use portable shell construct in debian/rules, thanks to Daniel Shahaf for
    the patch (closes: #823123).
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 01 May 2016 17:00:14 +0200

libusb (2:0.1.12-28) unstable; urgency=medium

  * Rewrite debian/rules using dh.
  * debian/control: rename XC-Package-Type into Package-Type.
  * debian/control: improve descriptions.
  * debian/copyright: point to LGPL-2 instead of LGPL symlink.
  * Replace /usr/lib/$triplet/libusb.so by a linker script, in the hope it
    will make everybody happy (closes: #706278, #763195, #766808).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Jan 2016 13:56:08 +0100

libusb (2:0.1.12-27) unstable; urgency=medium

  * Upload to unstable. 
  * Mention in debian/copyright that usb.h.in and/or usb.h may also be 
    distributed under the BSD license (closes: #794378).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Aug 2015 16:04:52 +0200

libusb (2:0.1.12-26) experimental; urgency=medium

  * Upload to experimental.
  * Rename libusb++-0.1-4c2 into libusb++-0.1-4v5 for the GCC 5 ABI transition.
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Build-depends on g++ (>= 4:5.2).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Aug 2015 14:08:15 +0200

libusb (2:0.1.12-25) unstable; urgency=medium

  * Move /usr/lib/$multiarch/libusb-0.1.so.4 from libusb-0.1-4 to
    libusb-dev (closes: #763195) and add the corresponding Replaces:.
  * Drop pre-Lenny Conflicts: and Replaces:.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Oct 2014 20:43:38 +0200

libusb (2:0.1.12-24) unstable; urgency=medium

  * Use dh-autoreconf instead of doing so using patches (closes: #748855).
  * Drop now useless patches 90_am_maintainer_mode.diff and
    92_autoreconf.diff.
  * Stop updating config.guess and config.sub at build time.
  * Add 11_transfer_timeout.diff patch from Sam Thursfield to fix timeout
    handling in some corner cases (closes: #731422).
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Jul 2014 20:17:03 +0200

libusb (2:0.1.12-23.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build in obj-$(DEB_HOST_GNU_TYPE) rather than obj-$(DEB_BUILD_GNU_TYPE),
    which is less confusing since the former corresponds to the architecture
    we're building for.
  * Cross-build the udeb pass if requested, as well as the deb pass (closes:
    #694016).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:58:14 +0000

libusb (2:0.1.12-23.2) unstable; urgency=low

  * Non-maintainer upload.
  * libusb-dev: Ship /usr/lib/<triplet>/libusb-0.1.so.4 ->
    /lib/<triplet>/libusb-0.1.so.4 symlink to prevent spurious creation of
    that SONAME link by ldconfig.  (Closes: #706278)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 May 2013 11:56:39 +0200

libusb (2:0.1.12-23+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix kfreebsd-* FTBFS: ignore the result of the (BSD-only)
    HAVE_OLD_DEV_USB_USB_H configure check, which started misbehaving in 2012.
    We ignore the system-provided API in favour of an embedded copy of a header
    file anyway (closes: #668026).

 -- Marcin Owsiany <porridge@debian.org>  Sat, 22 Sep 2012 14:10:38 +0100

libusb (2:0.1.12-23) unstable; urgency=low

  * Enable the patches in debian/patches/series. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 18:31:13 +0200

libusb (2:0.1.12-22) unstable; urgency=low

  * Add a dummy implementation for OSes without USB support (closes: #668950).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:44:33 +0200

libusb (2:0.1.12-21) unstable; urgency=low

  * Fix hardening flags for C++ (closes: #665308).
  * Fix udeb optimizationf flags.
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 23:12:28 +0200

libusb (2:0.1.12-20) unstable; urgency=low

  * Add symbols files.
  * Enable hardened build flags (closes: #653742).

