=== debian/control ===
Source: libusb
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-config, docbook, docbook-dsssl
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.linux-usb.org/

Package: libusb-0.1-4
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libusb-dev (<< 2:0.1.12-25)
Description: userspace USB programming library
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need to run programs that use this
 library.

Package: libusb-dev
Section: libdevel
Architecture: any
Depends: libusb-0.1-4 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Description: userspace USB programming library development files
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.
