=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-build-docs

# Tests need root, so disable them
override_dh_auto_test:
