## libusb makefiles

=== Makefile ===

EXEC = libusb.a

OBJS = descriptors.o error.o linux.o usb.o

# RANLIB = $(CROSS)ranlib

all: $(EXEC)

CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_REENTRANT
CFLAGS += -D_GNU_SOURCE

CFLAGS += -Wall -s -O2 -fno-builtin
CFLAGS += -mcpu=r4600 -mips2
CFLAGS += -Wa,--trap
CFLAGS += -I.

$(EXEC): $(OBJS)
	rm -f $(EXEC)
	$(AR) cr $(EXEC) $(OBJS)

romfs:

install:

clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i
